<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta charset="UTF-8">
<title>Edit Form</title>
<style>
	*{font: 12px tahoma;}
	#all {margin:auto;
			width:833px;		
			padding:5px;
			background:#ddf;}
	body {background: url(images/bg.jpg);
		     min-width: 700px;}
   #head{margin:auto;
			   font:20px tahoma;
			   color:#009;
			   text-align:center;
			   width:840px;
			   height:30px;
			   background:#ddf;}     
	select{background: #eee none repeat scroll 0 0;
			  border: 1px solid gray;}
	/*input{background: #eee none repeat scroll 0 0;}*/
  #bg{
		margin-top: 10px;
		width:830px;	
		padding:5px;
		color: crimson;
		background:#ddf;
	   border:2px solid rgba(186,186,186,1.00);
	}
	#bg p{font-size: 20px;}    
</style>
</head>
<body>
    
<script type="text/javascript">
function nextbox(e, id) {
   // อ่าน keycode (cross browser)
    var keycode = e.which || e.keyCode;
    // ตรวจสอบ keycode (13 คือ กด enter)
    if (keycode == 13) {
        // ย้ายโฟกัสไปยัง input ที่ id
        document.getElementById(id).focus();
        // return false เพื่อยกเลิกการ submit form
        return false;
    }
}
</script>    
    
<?php
error_reporting(0);

include "functions/dblink.php";

//ถ้าเป็นการ Postback เพื่อส่งข้อมูลกลับเข้ามา
if(isset($_POST['UserID']))
{     //นำข้อมูลจากตัวแปร $_POST ทีเหลือมาเรียงต่อเป็นสตริงเดียวกันโดยขั้นด้วย ' , '
	$values=implode("','",$_POST);     //ลักษณะผลลัพธ์เช่น  a',  'b',  'c', 'd	
      //ปิดหัว ท้าย ด้วย ' เพื่อให้ครบคู่ ลักษณะผลลัพธ์จะเป็น 	'a',  'b',  'c', 'd'
    $values="'".$values."'";
  
      //นำข้อมูลนั้นมาสร้างเป็น  SQL ในแบบคำสั่ง REPLACE
    $sql="REPLACE INTO member VALUES($values)";				  
    $replace=mysqli_query($con,$sql);
    
	if(!$replace){echo mysqli_error($con);}
    else{
      echo "<script>alert('บันทึกข้อมูลเรียบร้อย !');
                    location.href=('actionController.php?action=seller/retrieveMemberAction');  
            </script>"; 
    }
    ?> 
	?>
        </div>
    <?php }
							
//--------------			
if(isset($_GET['action'])){
	$action=$_GET['action'];
	//ถ้าเป็นเพิ่มข้อมูล ก็ไม่ต้องทำอะไร เพื่อให้ฟอร์มนั้นว่างเปล่าสำหรับรับข้อมูลใหม่
	//if($action=="insert")
 	if($action=="seller/editMemberAction"){//ถ้าเป็นการแก้ไข ต้องอ่านข้อมูลเดิมมาเติมลงในฟอร์ม
								$id=$_GET['UserID'];
								$h="แก้ไขข้อมูล";
								$sql="SELECT * FROM member WHERE UserID=$id";
								$result=mysqli_query($con,$sql);						
								$data=mysqli_fetch_array($result);
 	}
}

function back()
	{
		global $con;
		mysqli_close($con);	
		//exit("<p><a href=\"assetList.php\">ย้อนกลับ</a></p></body></html>");
		exit("<p><a href=\"actionController.php?action=seller/retrieveMemberAction\">
											ย้อนกลับ</a>
				  </p></body></html>");
	}

mysqli_close($con);	
?>

<div id="head" style='font-size:18px;'>แบบฟอร์มแก้ไขข้อมูลผู้ใช้</div>
<!-- <div id="head">แบบฟอร์มแก้ไขข้อมูลลูกค้า</div> -->   
<div id="all" align="center">


<form name="form1" method="post">
<table width="921">
    <tbody>
		<tr><td>ข้อมูลผู้ใช้</td></tr>
    </tbody> 
</table>

<table width="921">
 		<tr>
 			<td width="481"><input name="UserID" id="textfield" style="display: none"
								   value="<?php echo $data['UserID']; ?>"></td>
 		</tr>
</table>
<table width="921">			      
		<tr>
			  <td width="91" align="right">ชื่อผู้ใช้ : </td>
			  <td width="481"><input type="text" name="Username" id="Username" size="50"
			                         value="<?php echo $data['Username']; ?>"
                                     onkeydown="return nextbox(event, 'Password');"></td>     	
			  <td width="340">รหัส : <input type="text" name="Password" id="Password" size="10"
			                               value="<?php echo $data['Password']; ?>"
                                           onkeydown="return nextbox(event, 'Name');"></td>	
		</tr>		
  </table>    
  
  <table width="921">  
		<tr>
			  <td width="90" align="right">ชื่อ : </td>
			  <td><input type="text" name="Name" id="Name" size="70"
			             value="<?php echo $data['Name'] ?>"
                         onkeydown="return nextbox(event, 'Status');"></td>
			  <td width="342"><label for="Status"></label>Status : 
			      <select  name="Status" id="Status"
				  		   onkeydown="return nextbox(event, 'Username');">
					  <option value="<?php echo $data['Status']; ?>"><?php echo $data['Status']; ?></option>		 
					  <option value="USER">User</option>
					  <option value="ADMIN">Admin</option>
					  <option value="SALER">Saler</option>
					  <option value="OTHER">Other</option>
				  </value=>
			  </td>                                        
	     </tr>	  
	</table>
  
   <table>
      <td align="center"><button>บันทึกข้อมูล(Save)</button> &nbsp;&nbsp;
           <a href='actionController.php?action=seller/retrieveMemberAction'>ย้อนกลับ</a>
      </td>
   </table>  
</form>
      
</div>                                       
<!-- </fieldset> -->
</body>
</html>